%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  HDCD
%global packver   1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1
Release:          1%{?dist}%{?buildtag}
Summary:          High-Dimensional Changepoint Detection

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-mclust 
BuildRequires:    R-CRAN-Rdpack 
Requires:         R-CRAN-mclust 
Requires:         R-CRAN-Rdpack 

%description
Efficient implementations of the following multiple changepoint detection
algorithms: Efficient Sparsity Adaptive Change-point estimator by Moen,
Glad and Tveten (2023) <doi:10.48550/arXiv.2306.04702> , Informative
Sparse Projection for Estimating Changepoints by Wang and Samworth (2017)
<doi:10.1111/rssb.12243>, and the method of Pilliat et al (2023)
<doi:10.1214/23-EJS2126>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
